using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sum
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Metoda Sum() akceptuje dwa argumenty typu int
        // i zwraca sumę argumentów.
        private int Sum(int num1, int num2)
        {
            return num1 + num2;
        }

    private void calculateButton_Click(object sender, EventArgs e)
        {
            // Zadeklarowanie zmiennych przechowujących dwie wartości typu int i ich sumę.
            int userAge, friendAge, combinedAge;
            
            // Pobranie wieku użytkownika.
            if (int.TryParse(age1TextBox.Text, out userAge))
            {
                // Pobranie wieku przyjaciela użytkownika.
                if (int.TryParse(age2TextBox.Text, out friendAge))
                {
                    // Obliczenie sumy obu wartości.
                    combinedAge = Sum(userAge, friendAge);
                    
                    // Wyświetlenie obliczonej sumy.
                    combinedAgeLabel.Text = combinedAge.ToString();
                }
                else
                {
                    // Wyświetlenie komunikatu błędu.
                    MessageBox.Show("Podaj liczbę całkowitą.");
                }
            }
            else
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show("Podaj liczbę całkowitą.");
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
